import request from '@/utils/request'

// 查询维修站点-站点-仓库列表
export function listSiteWarehouse(query) {
  return request({
    url: '/business/siteWarehouse/list',
    method: 'get',
    params: query
  })
}

// 查询仓库列表
export function listWarehouseAll(query) {
  return request({
    url: '/business/siteWarehouse/listAll',
    method: 'get',
    params: query
  })
}

// 查询维修站点-站点-仓库详细
export function getSiteWarehouse(id) {
  return request({
    url: '/business/siteWarehouse/' + id,
    method: 'get'
  })
}

// 新增维修站点-站点-仓库
export function addSiteWarehouse(data) {
  return request({
    url: '/business/siteWarehouse',
    method: 'post',
    data: data
  })
}

// 修改维修站点-站点-仓库
export function updateSiteWarehouse(data) {
  return request({
    url: '/business/siteWarehouse',
    method: 'put',
    data: data
  })
}

// 删除维修站点-站点-仓库
export function delSiteWarehouse(id) {
  return request({
    url: '/business/siteWarehouse/' + id,
    method: 'delete'
  })
}
